Loading...
Searching...
No Matches
gtsam::traits< FunctorizedFactor2< R, T1, T2 > > Struct Template Reference

## Detailed Description

template<typename R, typename T1, typename T2>
struct gtsam::traits< FunctorizedFactor2< R, T1, T2 > >

traits

Inheritance diagram for gtsam::traits< FunctorizedFactor2< R, T1, T2 > >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< FunctorizedFactor2< R, T1, T2 > >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< FunctorizedFactor2< R, T1, T2 > >))
Static Public Member Functions inherited from gtsam::Testable< FunctorizedFactor2< R, T1, T2 > >
static void | Print (const FunctorizedFactor2< R, T1, T2 > &m, const std::string &str="")
static bool | Equals (const FunctorizedFactor2< R, T1, T2 > &m1, const FunctorizedFactor2< R, T1, T2 > &m2, double tol=1e-8)

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/FunctorizedFactor.h